Gecode::MiniModel Namespace Reference

Minimalistic modeling support. More...

## Classes

class | TooFewArguments
| Exception: Too few arguments available in argument array More...
class | ArgumentSizeMismatch
| Exception: Sizes of arguments does not match More...
class | ArgumentOutOfRange
| Exception: Argument out of range More...
class | ArithNonLinFloatExpr
| Non-linear float arithmetic expressions. More...
class | ArithNonLinIntExpr
| Non-linear arithmetic expressions over integer variables. More...
class | PosSet
| Sets of positions. More...
class | NodeInfo
| Node information computed during traversal of the expressions. More...
class | ExpInfo
| Expression information. More...
class | PosInfo
| Information on positions collected during traversal. More...
class | StateNode
| Node together with state information More...
class | StatePool
| State pool combines a tree of states together with yet unprocessed states More...
class | SymbolsInc
| Sort symbols. More...
class | TransitionBag
| For collecting transitions while constructing a DFA. More...
class | FinalBag
| For collecting final states while constructing a DFA. More...
class | SetNonLinIntExpr
| Integer valued set expressions. More...

## Typedefs

typedef Support::BlockAllocator< PosSet, Region > | PosSetAllocator
| Allocator for position sets.
typedef Support::BlockAllocator< StateNode, Heap > | StatePoolAllocator
| Allocator for state nodes.

## Enumerations

enum | PosSetCmp { PSC_LE , PSC_EQ , PSC_GR }
| Order on position sets. More...

## Functions

bool | hasType (const LinFloatExpr &e, ArithNonLinFloatExpr::ArithNonLinFloatExprType t)
| Check if e is of type t.
bool | hasType (const LinIntExpr &e, ArithNonLinIntExpr::ArithNonLinIntExprType t)
| Check if e is of type t.

## Detailed Description

Minimalistic modeling support.

## Typedef Documentation

## PosSetAllocator

typedef Support::BlockAllocator<PosSet,Region> Gecode::MiniModel::PosSetAllocator

Allocator for position sets.

Definition at line 44 of file reg.cpp.

## StatePoolAllocator

typedef Support::BlockAllocator<StateNode,Heap> Gecode::MiniModel::StatePoolAllocator

Allocator for state nodes.

Definition at line 657 of file reg.cpp.

## Enumeration Type Documentation

## PosSetCmp

enum Gecode::MiniModel::PosSetCmp

Order on position sets.

Enumerator
PSC_LE |
PSC_EQ |
PSC_GR |

Definition at line 442 of file reg.cpp.

## Function Documentation

## hasType() [1/2]

bool Gecode::MiniModel::hasType | ( | const LinFloatExpr & | e,
|  | ArithNonLinFloatExpr::ArithNonLinFloatExprType | t )

Check if e is of type t.

Definition at line 317 of file float-arith.cpp.

## hasType() [2/2]

bool Gecode::MiniModel::hasType | ( | const LinIntExpr & | e,
|  | ArithNonLinIntExpr::ArithNonLinIntExprType | t )

Check if e is of type t.

Definition at line 289 of file int-arith.cpp.